Results 1 to 5 of 5
  1. #1
    Join Date
    Feb 2011
    Posts
    3

    Question Unanswered: MSSQLSERVER version error in windows event viewer

    Hi,

    I'm running sql services under 64-bit machine. The SQL server installed on my machine is 2008 R2 and is also running in 64-bit mode.

    Does anyone know why I'm getting the following error in windows event viewer:

    The SQL Server (MSSQLSERVER) service failed to start due to the following error:
    This version of SQL Server (MSSQLSERVER) is not compatible with the version of Windows you're running. Check your computer's system information to see whether you need a x86 (32-bit) or x64 (64-bit) version of the program, and then contact the software publisher.

    Although the error appears, the SQL Server service is up and running just fine...

    Thanks

  2. #2
    Join Date
    Apr 2008
    Location
    Iasi, Romania
    Posts
    561
    Provided Answers: 2
    Is your Windows 64-bit version also?
    Florin Aparaschivei
    DB2 9.7, 10.5 on Windows
    Iasi, Romania

  3. #3
    Join Date
    Feb 2011
    Posts
    3
    Yes... windows is 2008 R2 (64-bit)

  4. #4
    Join Date
    Jan 2003
    Location
    Massachusetts
    Posts
    5,800
    Provided Answers: 11
    Is it up to date on Service Packs?

    Personally, I suspect there is a second instance that may not be running. Is this the default instance, or a named one?

  5. #5
    Join Date
    Feb 2011
    Posts
    3
    There are no service packs available for sql server 2008 R2.

    I'm using the default instance.

    Do you have other suggestions?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •